/**
 * Home
 */

#home__main-banner{
    position: relative;

    .powered-bar{
        position: absolute;
        left: 0;
        top: 0;
        bottom: 60px;
        padding: 20px;
        display: flex;
        align-items: center;
    }

    article{
        position: relative;
        height: 629px;
    }

    .slick-arrow{
      display: block;
      width: 60px;
      height: 60px;
      background: $color__main;
      color: $color__white;
      overflow: hidden;
      border: none;
      box-shadow: none;
      text-indent: -9999px;
      z-index: 4;
      position: absolute;
      left: 0;
      top: initial;
      bottom: 0;
      cursor: pointer;
      transition: .4s ease;

      &.slick-next{
        left: 60px;
      }

      &:hover{
        background-color: $color__black;
      }

      &:active,
      &:focus{
        outline: none;
      }

      .hydrated{
        visibility: visible;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        font-size: 1.25rem;
      }
    }

    .banner__title{
        font-size: 6.25rem;
        line-height: 1;
        margin: 0;
        margin-top: 8.5rem;
        letter-spacing: -0.035em;
    }

    .banner__subtitle{
        font-size: 5rem;
        font-style: italic;
        line-height: 1;
        margin: 0;
        letter-spacing: -0.025em;
        margin-top: -.15em;
    }

    .banner__location{
        position: absolute;
        right: 42px;
        bottom: 70px;
        z-index: 20;
    }

    .hotels__search-form--wrapper{
        position: absolute;
        bottom: 9rem;
        left: 0;
        right: 0;
        margin: auto;
        z-index: 20;
        padding-left: 16.66%;
    }

    .hotels__search-form{
        margin-top: 3.125rem;
        position: relative;
        width: 664px;
        padding: 11px 48px;
        border: 1px solid rgba(227, 177, 129, 0.2);
        border-radius: 80px;
    }

    .slick-dots{
      padding: 0;
      margin: 0;
      width: 100%;
      text-align: right;
      position: absolute;
      right: 42px;
      bottom: 35px;
      z-index: 20;

      li{
        display: inline-block;

        &+li{
          margin-left: 10px;
        }

        &:before{
          display: none;
        }

        button{
          overflow: hidden;
          text-indent: -9999px;
          width: 12px;
          height: 12px;
          border-radius: 50%;
          background: transparent;
          padding: 0;
          opacity: .8;
          border: 2px solid $color__secondary;
          transition: .5s ease;

          &:active,
          &:focus{
            outline: none;
          }
        }

        &.slick-active button,
        &:hover button{
          background: $color__secondary;
          transform: scale(1.8);
          margin-right: 4px;
          margin-left: 4px;
        }

      }
    }

    .banner__footer{
        position: absolute;
        left: 0;
        bottom: 1rem;

        a{
            font-weight: 400;
            text-decoration: underline;
        }
    }

    article.item>.wrap>.row>.col-md-6,
    article.item>.wrap>.row,
    article.item>.wrap{
        position: relative;
        height: 100%;
    }

    .banner__image{
        width: 50%;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        overflow: hidden;

        &:before{
            content: "";
            height: 121px;
            left: 0;
            right: 0;
            top: 0px;
            position: absolute;
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0) 100%);
            z-index: 20;
        }

        &:after{
            content: "";
            position: absolute;
            height: 119px;
            left: 0;
            right: 0;
            bottom: 0;
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0) 100%);
            transform: rotate(180deg);
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0) 100%);
            z-index: 20;
        }

        img{
            object-fit: cover;
            height: 100%;
            width: 100%;
            transition: 1.3s cubic-bezier(0.17, 0.84, 0.44, 1);
        }
    }

    .slick-current .banner__image img{
        transform: scale(1.1);
    }

    p{
        margin-left: 8.33%;
        width: 330px;
        max-width: 100%;
    }
}

.home__locations--list{
    margin-top: 3.125rem;

    .home__location{
        .home__location-wrap{
            border: 2px solid #EEEEEE;
            box-sizing: border-box;
            border-radius: 8px;
            position: relative;
            height: 138px;
            overflow: hidden;
        }

        .text-wrapper{
            background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #333333 100%);
            border-radius: 0px 0px 6px 6px;
            position: absolute;
            right: 0;
            left: 0;
            bottom: 0;
            padding: 20px 10px 15px 20px;
            pointer-events: none;

            h5{
                margin: 0;
                line-height: 1;
            }
        }

        img{
            height: 138px;
            width: 100%;
            object-fit: cover;
            transition: 0.9s cubic-bezier(0.17, 0.84, 0.44, 1);
        }

        &:hover img{
            transform: scale3d(1.05, 1.05, 1.05);
        }
    }
}

.home__features--list{
    margin-top: 5rem;
    position: relative;

    &:before{
        content: "";
        top: 50px;
        border-top: 1px dashed #333333;
        position: absolute;
        left: 0;
        right: 0;
    }

    .feature-icon{
        width: 6.5rem;
        height: 6.5rem;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 26px;
        z-index: 20;
        position: relative;

        img{
            height: 50px;
        }
    }
}
